summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-util/kbuild/ChangeLog8
-rw-r--r--dev-util/kbuild/Manifest4
-rw-r--r--dev-util/kbuild/kbuild-0.1.3.ebuild43
-rw-r--r--dev-util/kbuild/metadata.xml13
4 files changed, 68 insertions, 0 deletions
diff --git a/dev-util/kbuild/ChangeLog b/dev-util/kbuild/ChangeLog
new file mode 100644
index 0000000..34a4b20
--- /dev/null
+++ b/dev-util/kbuild/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for dev-util/kbuild
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 03 Sep 2008; Alessio Cassibba (X-Drum) <swapon@gmail.com>
+ +kbuild-0.1.3.ebuild, +metadata.xml:
+ Initial ebuild for kBuild
+
diff --git a/dev-util/kbuild/Manifest b/dev-util/kbuild/Manifest
new file mode 100644
index 0000000..244df14
--- /dev/null
+++ b/dev-util/kbuild/Manifest
@@ -0,0 +1,4 @@
+DIST kBuild-0.1.3-src.tar.gz 10070233 RMD160 c550952feb8173e2ea8e066b0e95c9d94caa9224 SHA1 482a6c13d8aeb55dc23f4bc610bb415c91b3c183 SHA256 79d085b395b87fdf06d24bbf4e03801b5c35d61c7f41d5b0df6fa0b275b6b1b1
+EBUILD kbuild-0.1.3.ebuild 794 RMD160 d1938486d6dfff503a9a9218c4d2aab3c6ee656d SHA1 168bf355386bdb7c5580ebd6d323e2195fcef089 SHA256 ee3a541a36c44c079412867a6637c8c937656ae7e7e471fcaed4739f0c8c17c9
+MISC ChangeLog 244 RMD160 4d4ea8db82b18219653b7011f99e4ce3c9a457ba SHA1 0cae857b3c2d6a86f0cefa391e0677e0f98c3f88 SHA256 740ade35f3ebca58756b0d682f5d1d640a205a89b91c128bc9bb952214e3f965
+MISC metadata.xml 344 RMD160 12935d5b21be85bc4222fd06371c93dcbf6f534e SHA1 68b99919921f246738cce4350b77d895e7c78106 SHA256 fff5aeb6f453d2e137765ca5016e81344cb0cd0cecd51d81bbb889cb1d7a5ba9
diff --git a/dev-util/kbuild/kbuild-0.1.3.ebuild b/dev-util/kbuild/kbuild-0.1.3.ebuild
new file mode 100644
index 0000000..20eeffa
--- /dev/null
+++ b/dev-util/kbuild/kbuild-0.1.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=1
+
+inherit eutils
+
+MY_P=kBuild-${PV}-src
+DESCRIPTION="A makefile framework for writing simple makefiles for complex tasks"
+HOMEPAGE="http://svn.netlabs.org/kbuild/wiki"
+SRC_URI="ftp://ftp.netlabs.org/pub/kbuild/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-util/yacc
+ dev-util/cvs
+ =sys-devel/automake-1.9.6-r2"
+
+S=${WORKDIR}/${MY_P/-src}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ rm -rf "${S}/kBuild/bin"
+}
+
+src_compile() {
+ kBuild/env.sh --full \
+ make -f bootstrap.gmk || die "bootstrap failed"
+}
+
+src_install() {
+ kBuild/env.sh kmk \
+ NIX_INSTALL_DIR=/usr \
+ PATH_INS="${D}" \
+ install || die "install failed"
+}
+
diff --git a/dev-util/kbuild/metadata.xml b/dev-util/kbuild/metadata.xml
new file mode 100644
index 0000000..76eddd3
--- /dev/null
+++ b/dev-util/kbuild/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>jokey@gentoo.org</email>
+ <name>Markus Ullmann</name>
+</maintainer>
+<maintainer>
+ <email>swapon@gmail.com</email>
+ <name>Alessio Cassibba</name>
+</maintainer>
+</pkgmetadata>